namespace Billing.UI
{
    public static partial class Definition
    {
        public static partial (string main, long build) GetVersion()
        {
            var context = Android.App.Application.Context;
            var manager = context.PackageManager;
            var info = manager.GetPackageInfo(context.PackageName, 0);

            string version = info.VersionName;
            long build = info.LongVersionCode;

            return (version, build);
        }
        public static partial string GetRegularFontFamily() => "OpenSans-Regular.ttf#OpenSans-Regular";
        public static partial string GetSemiBoldFontFamily() => "OpenSans-SemiBold.ttf#OpenSans-SemiBold";
        public static partial string GetBoldFontFamily() => "OpenSans-Bold.ttf#OpenSans-Bold";
        public static partial string GetBrandsFontFamily() => "fa-brands-400.ttf#FontAwesome6Brands-Regular";
    }
}